This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 807644 - (CVE-2012-1595) CVE-2012-1595 wireshark: Heap-based buffer overflow when reading ERF packets from pcap/pcap-ng trace files
CVE-2012-1595 wireshark: Heap-based buffer overflow when reading ERF packets ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120207,repor...
: Security
Depends On: 808973 808974 809045 809046
Blocks: 807617
  Show dependency treegraph
 
Reported: 2012-03-28 07:58 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 13:50:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-28 07:58:33 EDT
An integer underflow, subsequently leading to request to allocate a large amount of memory was found in the way pcap and pcap-ng file parsers of Wireshark, a network traffic analyzer, processed Extension and / or Multi-Channel header information in ERF files. A remote attacker could provide a specially-crafted packet capture file (with size of full pseudoheader being greater than the packet size), which once opened by a local unsuspecting user would lead to wireshark executable abort.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6804

Relevant upstream patch:
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=41008

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/03/28/7

Reproducer:
[4] https://bugs.wireshark.org/bugzilla/attachment.cgi?id=7787

Upstream advisory:
[5] http://www.wireshark.org/security/wnpa-sec-2012-06.html
Comment 2 Kurt Seifried 2012-03-28 11:09:46 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/28/13
Comment 7 Huzaifa S. Sidhpurwala 2012-04-02 00:26:25 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-15 [bug 808974]
Affects: fedora-16 [bug 808973]
Comment 9 Fedora Update System 2012-04-19 01:22:18 EDT
wireshark-1.4.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-19 01:23:05 EDT
wireshark-1.6.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2012-04-23 12:52:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 12 Vincent Danen 2012-04-23 13:50:52 EDT
Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5.

Note You need to log in before you can comment on or make changes to this bug.